#!/bin/bash

if [[ $(id -u) -eq 0 ]]; then
    echo "ERROR: enterprise_search.sh running as uid 0 (root), exiting."
    exit 1
fi

JAVA_OPTS="-Xms{{ container.heapSize() }}M -Xmx{{ container.heapSize() }}M" FILEBEAT_JAVA_OPTS="-Xmx256M -Xms8M" ENT_SEARCH_CONFIG_PATH=/app/config/enterprise_search.yml /usr/share/enterprise-search/bin/enterprise-search all
